function yt=dvdtrp(xt,x,c)
% yt=dvdtrp(xt,x,c)
% This function performs polynomial interpolation using the
% Newton form of the interpolating polynomial. The coefficients
% c are first computed by a call to function dvdcof. The points
% x(i) are abscissas of the data values.  The vector yt is
% returned as the interpolated function for argument values
% defined by vector xt. See for reference
% "Elementary Numerical Analysis" by S. Conte and C. de Boor
x=x(:); c=c(:); xt=xt(:); n=length(xt); m=length(x);
yt=c(1)*ones(n,1);
for i=2:m, yt=c(i)+(xt-x(i)).*yt; end
