%
% Example to illustrate interpolation by divided differences
% using the Runge function and data values which are evenly
% spaced and data values chosen at the Chebyshev points.

%    by Howard B. Wilson, U. of Alabama, Fall 1989

ndpts=9; d=4; nsampl=101;
xsampl=pts(-d,d,nsampl); yexact=1 ./(1+xsampl.^2);
xedata=pts(-d,d,ndpts); yedata=1 ./(1+xedata.^2);
evncof=dvdcof(xedata,yedata);
ytrpevn=dvdtrp(xsampl,xedata,evncof);
xchdata=chbpts(-d,d,ndpts); ychdata=1 ./(1+xchdata.^2);
chbcof=dvdcof(xchdata,ychdata);
ytrpchb=dvdtrp(xsampl,xchdata,chbcof);
%plot(xedata,yedata,'o',xchdata,ychdata,'*',...
%xsampl,yexact,'-',xsampl,ytrpevn,'o',xsampl,ytrpchb,'-.')
plot(xedata,yedata,'o',xchdata,ychdata,'*',...
xsampl,yexact,'-',xsampl,ytrpevn,'o',xsampl,ytrpchb,'-.')
grid; xlabel('x axis'); ylabel(' y axis');
title('POLYNOMIAL INTERPOLATION OF Y = 1/(1+X*X)')
text(-3.1,-.2,'solid => exact function')
text(-3.1,-.4,'ooooo => order 8 polynomial for even spacing')
text(-3.1,-.6,'- - - => order 8 polynomial for Chebyshev spacing')
%!del dvdtprun.met %DT
%meta dvdtprun.met %DT





